Api referenceRoutesCache

Export prepared cache

Exports prepared cache material into an archive or manifest-oriented artifact set. Use this for repeatable CI, distribution, or offline preparation after cache preparation has resolved the runtime inputs.

POST
/cache:export

Exports prepared cache material into an archive or manifest-oriented artifact set. Use this for repeatable CI, distribution, or offline preparation after cache preparation has resolved the runtime inputs.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/cache:export" \  -H "Content-Type: application/json" \  -d '{    "manifest": "string"  }'
{  "manifest": "string",  "archive": "string",  "included": [    "string"  ],  "status": "string"}
{  "code": "string",  "message": "string"}